Bug 14936 - netr_LogonGetDomainInfo() doesn't wipe operatingSystemServicePack with CSDVersion=""
Summary: netr_LogonGetDomainInfo() doesn't wipe operatingSystemServicePack with CSDVer...
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes (show other bugs)
Version: 4.15.3
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL: https://gitlab.com/samba-team/samba/-...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-21 13:18 UTC by Stefan Metzmacher
Modified: 2022-01-26 12:11 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.15.next and 4.14.next. (5.69 KB, patch)
2022-01-12 22:11 UTC, Jeremy Allison
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2021-12-21 13:18:01 UTC
I just found that netr_LogonGetDomainInfo() with CSDVersion="" doesn't
wipe the operatingSystemServicePack attribute.
Comment 1 Samba QA Contact 2022-01-11 22:04:06 UTC
This bug was referenced in samba master:

4a0a0d2fc9555dc8ff7692607b1d51189785bd47
1243f52f7ae58de1005c431e20563f2f1902dfce
Comment 2 Jeremy Allison 2022-01-12 22:11:52 UTC
Created attachment 17082 [details]
git-am fix for 4.15.next and 4.14.next.

Cherry-picked from master.
Comment 3 Jeremy Allison 2022-01-12 22:12:44 UTC
Comment on attachment 17082 [details]
git-am fix for 4.15.next and 4.14.next.

Applies cleanly to both.
Comment 4 Jule Anger 2022-01-26 09:56:28 UTC
Pushed to autobuild-v4-{15,14}-test.
Comment 5 Samba QA Contact 2022-01-26 11:03:06 UTC
This bug was referenced in samba v4-14-test:

09832c6f95ef1b57a75e419a3cca02f68fca4caa
01e15dfaedecfe80527475de1c5c60c5be8b8f4e
Comment 6 Samba QA Contact 2022-01-26 11:44:04 UTC
This bug was referenced in samba v4-15-test:

a45cf13482921f16ce9be0be8030469866fa7df1
d123bc8be47fa56d7fee4b8214fc19bd0a35a6b2
Comment 7 Jule Anger 2022-01-26 12:11:17 UTC
Closing out bug report.

Thanks!